BSON_GET_DATA(3)

NAME
bson_get_data - bson_get_data()

SYNOPSIS

const uint8_t *
bson_get_data (const bson_t *bson);

PARAMETERS

•   bson: A bson_t.

DESCRIPTION

The bson_get_data() function shall return the raw buffer of a bson document. This can be used in conjunction with the len property of a bson_t if you want to copy the raw buffer around.

RETURNS

A buffer which should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc